/***************************************************************************
 *            error.c
 *
 *  Sun Dec 26 01:19:31 2004
 *  Copyright  2004  Jean-Pierre Lozi
 *  jean-pierre@lozi.org - http://gtuxball.lozi.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>

#include "error.h"

/*
 *  The error function.
 */
extern void error( int code )
{
	switch( code )
	{
		case MEMORY_ERROR:
			fprintf( stderr, "gtuxball: Memory error.\n" );
			break;
		case HIGH_SCORES_FILE_ERROR:
			fprintf( stderr, "gtuxball: Invalid high scores file.\n" );
			break;
		case HIGH_SCORES_OPEN_FILE_ERROR:
			fprintf( stderr,
					 "gtuxball: The high scores file could not be opened.\n" );
			break;
	}
	exit( -1 );
}
