/***************************************************************************
 *            globals.h
 *
 *  Tue Dec 21 18:27:33 2004
 *  Copyright  2004  Jean-Pierre Lozi
 *  jean-pierre@lozi.org - http://gtuxball.lozi.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GLOBALS_H
#define GLOBALS_H

#include <time.h>

#include "element.h"

/* Constants */
#define NOT_PLAYING					0
#define PLAYING						1
#define WAITING_FOR_SIGNAL			2
#define GAME_OVER					3
#define PAUSE						4
#define WON							5
#define NUMBER_OF_LEVELS			10
#define LEFT						0
#define RIGHT						1
#define STEP						15
#define NUMBER_OF_LINES				10
#define NUMBER_OF_COLUMNS			8
/* Global speed should be changed with STEP, not with this variable. */
#define GAME_INITIAL_SPEED			7

/* Globals */
extern int global_game_start_level;
extern int global_start_level;
extern int global_start_speed;
extern int global_feet;
extern int global_direction;
extern int global_state;
extern int global_lives;
extern double global_speed;
extern Element global_pad;
extern Element global_ball;
extern Element global_blocks[NUMBER_OF_LINES][NUMBER_OF_COLUMNS];
extern int global_current_level;
extern int global_remaining_blocks;
extern int global_total_blocks;
extern time_t global_start_time;
extern long global_diff_time;
extern time_t global_freeze_game_time;
extern int global_levels[NUMBER_OF_LEVELS][NUMBER_OF_LINES][NUMBER_OF_COLUMNS];

#endif
