/***************************************************************************
 *            score.h
 *
 *  Fri Dec 24 18:37:15 2004
 *  Copyright  2004  Jean-Pierre Lozi
 *  jean-pierre@lozi.org - http://gtuxball.lozi.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef SCORE_H
#define SCORE_H

#include <time.h>

/* Constants */
#define DEFAULT_USER_NAME			"Penguin"
#define HIGH_SCORES_FILE			"scores/high-scores"
#define NUMBER_OF_SCORES			10
#define NUMBER_OF_FIELDS			6
#define MAX_NAME_LENGTH				64
#define MAX_SCORE_STORED_SIZE		91
#define SCORE_NAME					0
#define SCORE_NUMBER_OF_BLOCKS		1
#define SCORE_LEVEL					2
#define SCORE_START_LEVEL			3
#define SCORE_DIFF_TIME				4
#define SCORE_START_TIME			5

/* Public functions : */

/* Abstract type. */
typedef struct score *Score;

/* This function creates and returns a score. */
extern Score score_create(	char * name, int number_of_blocks, int start_level,
							int level, time_t diff_time, time_t start_time );
/* This function destroys the given score. */
void score_destroy( Score *obj );
/* This function returns the specified attribute. */
long score_get_attribute( Score scr, int attribute );
/* This function reads the scores from the high scores file, and stores them
 * into an array. */
extern Score * score_read_scores ( void );

#endif
